{% set ente = instance_service.getCurrentInstance() %}
{% set instance_url = ocsdc_scheme ~ '://' ~ ocsdc_host ~ '/' ~ prefix %}
{% set host_url = ocsdc_scheme ~ '://' ~ ocsdc_host ~ '/' %}
{% set email_footer = ente.getMetaAsArray('email_footer') %}
{% set logo = ente.getMetaAsArray('logo') is defined and ente.getMetaAsArray('logo') is not empty ? ente.getMetaAsArray('logo') : host_url ~ 'bundles/app/images/logo-default.png' %}

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
  <title>{{ 'title'|trans }}</title>
  <style type="text/css">
    body {
      font-family: "Lucida Grande", "Helvetica Neue", Helvetica, Arial, sans-serif;
      width: 100% !important;
      -webkit-text-size-adjust: 100%;
      -ms-text-size-adjust: 100%;
      margin: 0;
      padding: 0;
      background: #ccc;
    }

    #outlook a {
      padding: 0;
    }

    .ExternalClass {
      width: 100%;
    }

    .ExternalClass, .ExternalClass p, .ExternalClass span, .ExternalClass font, .ExternalClass td, .ExternalClass div {
      line-height: 100%;
    }

    img {
      outline: none;
      text-decoration: none;
      -ms-interpolation-mode: bicubic;
    }

    a img {
      border: none;
    }

    .image_fix {
      display: block;
    }

    p {
      font-size: 15px !important;
      line-height: 150%;
      margin: 10px 0;
    }

    h1, h2, h3, h4, h5, h6 {
      color: black !important;
    }

    h1 a, h2 a, h3 a, h4 a, h5 a, h6 a {
      color: #2b649e !important;
    }

    h1 a:active, h2 a:active, h3 a:active, h4 a:active, h5 a:active, h6 a:active {
      color: #003882; /* Preferably not the same color as the normal header link color.  There is limited support for psuedo classes in email clients, this was added just for good measure. */
    }

    h1 a:visited, h2 a:visited, h3 a:visited, h4 a:visited, h5 a:visited, h6 a:visited {
      color: #003882 !important; /* Preferably not the same color as the normal header link color. There is limited support for psuedo classes in email clients, this was added just for good measure. */
    }

    table td {
      border-collapse: collapse;
    }

    table {
      border-collapse: collapse;
      mso-table-lspace: 0pt;
      mso-table-rspace: 0pt;
      margin: 0 auto;
      padding: 0;
      width: 90% !important;
      line-height: 100% !important;
    }

    h2 {
      font-size: 20px
    }

    a {
      color: #2b649e;
    }

    hr {
      border: 0;
      height: 1px;
      background: #ccc;
    }

    .btn {
      text-align: center;
      vertical-align: middle;
      border: 0 solid transparent;
      border-radius: 4px;
      padding: 12px 24px;
      font-size: 16px;
      white-space: initial;
      text-decoration: none;
    }

    .btn-primary {
      color: rgb(255, 255, 255) !important;
      background-color: #003882;
      border-color: #003882;
      box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.15), 0 1px 1px rgba(0, 0, 0, 0.075);
    }

    @media only screen and (max-device-width: 480px) {
      a[href^="tel"], a[href^="sms"] {
        text-decoration: none;
        color: #2b649e;
        pointer-events: none;
        cursor: default;
      }

      .mobile_link a[href^="tel"], .mobile_link a[href^="sms"] {
        text-decoration: default;
        color: #2b649e;
        pointer-events: auto;
        cursor: default;
      }
    }

    @media only screen and (min-device-width: 768px) and (max-device-width: 1024px) {
      a[href^="tel"], a[href^="sms"] {
        text-decoration: none;
        color: #2b649e;
        pointer-events: none;
        cursor: default;
      }

      .mobile_link a[href^="tel"], .mobile_link a[href^="sms"] {
        text-decoration: default;
        color: #2b649e;
        pointer-events: auto;
        cursor: default;
      }
    }

    @media only screen and (-webkit-min-device-pixel-ratio: 2) {
      /* Put your iPhone 4g styles in here */
    }

    @media only screen and (-webkit-device-pixel-ratio: .75) {
      /* Put CSS for low density (ldpi) Android layouts in here */
    }

    @media only screen and (-webkit-device-pixel-ratio: 1) {
      /* Put CSS for medium density (mdpi) Android layouts in here */
    }

    @media only screen and (-webkit-device-pixel-ratio: 1.5) {
      /* Put CSS for high density (hdpi) Android layouts in here */
    }
  </style>

  <!--[if IEMobile 7]>
  <style type="text/css">

  </style>
  <![endif]-->

  <!--[if gte mso 9]>
  <style>
    /* Target Outlook 2007 and 2010 */
  </style>
  <![endif]-->
</head>
<body style="background: #ccc;" bgcolor="#ccc">
<table align='center' border='0' cellpadding='0' cellspacing='0' width="100%">
  <tr style="background-color: #FFFFFF" bgcolor="#FFFFFF">
    <td
      style="color: black; text-align: left; border-bottom: 1px solid #fff; padding: 20px;">
      <span>
        <img src="{{ logo }}" alt="logo" width="50" style="margin: 0; border: 0; padding: 0;width: 70px;display:inline-block;vertical-align:middle;"/>
      {% if ente %}
        <h2 style='display:inline-block;color: black !important;'>{{ ente.name }}</h2>
      {% else %}
        <h2 style='display:inline-block;color: black !important;'>{{ 'title'|trans }}</h2>
      {% endif %}
      </span>
    </td>
  </tr>
</table>

{% block email_content %}{% endblock %}

<table align='center' border='0' cellpadding='0' cellspacing='0'>
  <tr>
    <td>
      {% if ente %}
        {% if email_footer is defined and email_footer is not empty %}
          {{ email_footer|raw }}
        {% else %}
          {% block email_footer %}
            <p
              style="font-family:'Lucida Grande', 'Helvetica Neue', Helvetica, Arial, sans-serif; color: #30373d;background: #F0F0F0; padding: 20px; font-size: 15px !important;margin:0">
              {{ 'messages.receives_why'|trans({'%instance_url%': instance_url, '%ente.name%' : ente.name},null,locale) | raw }} {{ 'messages.receives_why_description'|trans({}, null, locale) }}
            </p>
          {% endblock %}
        {% endif %}
      {% endif %}
    </td>
  </tr>
</table>
</body>
</html>
